# Changelog

All notable changes to this project will be documented in this file.

## [v0.1.0a4](https://github.com/eonu/feud/releases/tag/v0.1.0a4) - 2023-12-04

### Build System

- add auto-merge master into dev workflow ([#67](https://github.com/eonu/feud/issues/67))

### Documentation

- add `cliff.toml` issue/release number preprocessors ([#66](https://github.com/eonu/feud/issues/66))

### Release

- v0.1.0a3 ([#65](https://github.com/eonu/feud/issues/65))

## [v0.1.0a3](https://github.com/eonu/feud/releases/tag/v0.1.0a3) - 2023-12-04

### Build System

- use cliff for changelog generation ([#51](https://github.com/eonu/feud/issues/51))
- correctly access changelog entry content ([#53](https://github.com/eonu/feud/issues/53))
- fix `tag-version-commit` workflow ([#55](https://github.com/eonu/feud/issues/55))
- tag in create-release-pr workflow ([#56](https://github.com/eonu/feud/issues/56))
- prefix tag with `v` ([#57](https://github.com/eonu/feud/issues/57))
- use `rickstaa/action-create-tag` to create tags ([#64](https://github.com/eonu/feud/issues/64))

### Miscellaneous Tasks

- add `cliff.toml` ([#50](https://github.com/eonu/feud/issues/50))

## [v0.1.0a2](https://github.com/eonu/feud/releases/tag/v0.1.0a2) - 2023-12-04

### Bug Fixes

- use `actions/checkout@v4` and fix permissions ([#28](https://github.com/eonu/feud/issues/28))
- add `write-all` permissions to `create-release-pr` workflow ([#29](https://github.com/eonu/feud/issues/29))
- provide version to `auto-changelog` ([#31](https://github.com/eonu/feud/issues/31))
- fix multi-line `create-release-pr` workflow output ([#32](https://github.com/eonu/feud/issues/32))
- fetch tags in `create-release-pr` workflow ([#34](https://github.com/eonu/feud/issues/34))
- use `fetch-depth: 0` for workflow checkout ([#36](https://github.com/eonu/feud/issues/36))
- use temporary file for changelog entry ([#37](https://github.com/eonu/feud/issues/37))
- remove invalid `)` from `create-release-pr` workflow ([#38](https://github.com/eonu/feud/issues/38))
- use EOF for multi-line changelog output ([#40](https://github.com/eonu/feud/issues/40))
- silence `release.install` invoke task ([#42](https://github.com/eonu/feud/issues/42))
- remove `entry.md` from `create-release-pr` workflow ([#44](https://github.com/eonu/feud/issues/44))
- provide start/stop commit to `create-release-pr` workflow ([#46](https://github.com/eonu/feud/issues/46))

### Refactor

- remove `CHANGELOG.md` ([#48](https://github.com/eonu/feud/issues/48))

### Release

- v0.1.0a2 ([#49](https://github.com/eonu/feud/issues/49))

## [v0.1.0a1](https://github.com/eonu/feud/releases/tag/v0.1.0a1) - 2023-12-03

### Features

- add `semantic-pull-request` action ([#21](https://github.com/eonu/feud/issues/21))
- add `tag-version-commit` workflow ([#22](https://github.com/eonu/feud/issues/22))
- add `poetry-publish` workflow ([#24](https://github.com/eonu/feud/issues/24))
- add `action-automatic-releases` workflow ([#25](https://github.com/eonu/feud/issues/25))
- add `create-release-pr` workflow ([#26](https://github.com/eonu/feud/issues/26))

### Miscellaneous Tasks

- remove `pkg` scope from `tag-version-commit` workflow ([#23](https://github.com/eonu/feud/issues/23))

### Release

- v0.1.0a1 ([#27](https://github.com/eonu/feud/issues/27))

<!-- generated by git-cliff -->
